import Layout from "../components/Layout";
import {useRouter} from "next/router";
import {useEffect, useState} from "react";

export default function Home() {
  const router = useRouter();
    const [isLoading, setIsLoading] = useState(true);

    useEffect(() => {
        const token = localStorage.getItem("token");
        if (router.pathname !== "/login" && (!token || token === "undefined")) {
            router.push("/login");
        } else {
            setIsLoading(false)
        }
    }, []);

    if (isLoading) {
        return <></>
    }

  return <Layout>
      <div className="flex flex-col justify-center h-full w-full align-center items-center">
          <div style={{width: "fit-content"}}>
            <h1 style={{fontSize: "xxx-large"}}>BSition</h1>
            <h3 style={{margin: "0"}}>Created by:</h3>
            <h2 style={{margin: "0"}}>Bottler</h2>
            <ul style={{margin: "0"}}>
              <li>Barmasch, Juan Martín</li>
              <li>Bellver, Ezequiel</li>
              <li>Lo Coco, Santiago</li>
            </ul>
          </div>
      </div>
  </Layout>;
}
