import * as React from "react";

function ShareIcon({ fill = "#6C7281", ...rest }) {
  return (
    <svg
      width={24}
      height={24}
      fill="none"
      viewBox="-2.5 -2.5 21.5 21.5"
      xmlns="http://www.w3.org/2000/svg"
      {...rest}
    >
      <path
          d="M11 2.5a2.5 2.5 0 1 1 .603 1.628l-6.718 3.12a2.499 2.499 0 0 1 0 1.504l6.718 3.12a2.5 2.5 0 1 1-.488.876l-6.718-3.12a2.5 2.5 0 1 1 0-3.256l6.718-3.12A2.5 2.5 0 0 1 11 2.5z"
          fill={fill}
      />
    </svg>
  );
}

export default ShareIcon;
